#ifdef __BORLANDC__
  #pragma argsused
#endif
#include<stdlib.h>
#include<iostream.h>
int main( int argc, char * argv[] )
{
 int odp;
 int gracz=0;
 int dodaj;
 int kroki=0;
  randomize();
  odp=random(100);
  while(odp>gracz) {
    cout<<"Twoja liczba to:"<<gracz<<"\n";
    if (((odp-gracz)<30)&&((odp-gracz)>20)) cout<<"Roznica mniejsza niż 30"<<"\n";
    if (((odp-gracz)<20)&&((odp-gracz)>10)) cout<<"Roznica mniejsza niż 20"<<"\n";
    if (((odp-gracz)<10)&&((odp-gracz)>5)) cout<<"Roznica mniejsza niż 10"<<"\n";
    if (((odp-gracz)<5)&&((odp-gracz)>0)) cout<<"Roznica mniejsza niż 5"<<"\n";
    cout<<"Ile dodac do liczby? ";
    cin>>dodaj;
    kroki++;
    gracz=gracz+dodaj;
  }
  if (gracz==odp) {cout<<"Dobra odpowiedz!! Wylosowana liczba to "<<odp<<"\n";
                   cout<<"Zgadles w "<<kroki<<" krokach.";}
  if (gracz>odp) cout<<"Przekroczyles liczbe - porażka";
  return 0;
}
